package com.eactive.eai.batch.code;

import com.eactive.eai.common.util.NullControl;

import java.io.Serializable;

public class CodeMessageVO implements Serializable
{
    @Override
	public String toString() {
		return "CodeMessageVO [msgKey=" + msgKey + ", msgTxt=" + msgTxt
				+ ", msgEtc=" + msgEtc + ", smsSendType=" + smsSendType
				+ ", itsmObstclGrdDstcd=" + itsmObstclGrdDstcd + "]";
	}

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String msgKey;                 // 메시지ID
    private String msgTxt;                 // 메시지내용
    private String msgEtc;                 // 조치사항내용 --> SMS발송 시 사용 문구
	private String smsSendType        = "";// SMS발송 여부
	private String itsmObstclGrdDstcd = "";// ITSM장애등급구분코드 

    public CodeMessageVO() {
        this("");
    }

    public CodeMessageVO(String msgKey) {
        this(msgKey, "");
    }

    public CodeMessageVO(String msgKey, String msgTxt) {
        this.msgKey = msgKey;
        this.msgTxt = msgTxt;
    }

    public void setMsgKey(String msgKey) {
        this.msgKey = msgKey;
    }

    public String getMsgKey() {
        return this.msgKey;
    }

    public void setMsgTxt(String msgTxt) {
        this.msgTxt = msgTxt;
    }

    public String getMsgTxt() {
        return this.msgTxt;
    }

    public void setMsgEtc(String msgEtc) {
        this.msgEtc = msgEtc;
    }

    public String getMsgEtc() {
        return NullControl.trimSpace(this.msgEtc);
    }

    public void setSmsSendType(String arg) {
    	this.smsSendType = arg; 
    }

    public String getSmsSendType() {
    	return this.smsSendType; 
    }

	public String getItsmObstclGrdDstcd() {
		return itsmObstclGrdDstcd;
	}

	public void setItsmObstclGrdDstcd(String itsmObstclGrdDstcd) {
		this.itsmObstclGrdDstcd = itsmObstclGrdDstcd;
	}
}
